//
//  CollisionManager.hpp
//  GlobalGameJam17
//
//  Created by Cesar Parent on 21/01/2017.
//  Copyright © 2017 teamrocket. All rights reserved.
//

#ifndef CollisionManager_hpp
#define CollisionManager_hpp

#include <Meteor/Meteor.h>
#include <vector>
using namespace Meteor;

class GameObject;

class CollisionManager final {
public:
    
    static CollisionManager& instance();
    
    ~CollisionManager() {}
    
    void addObject(ARC<GameObject> object);
    
    void removeObject(ARC<GameObject> object);
    
    void removeAll();
    
    void checkCollisions();
    
private:
    
    CollisionManager();
    
    std::vector<ARC<GameObject>> objects_;
};

#endif /* CollisionManager_hpp */
