//
//  ScoreMenu.hpp
//  GlobalGameJam17
//
//  Created by Cesar Parent on 22/01/2017.
//  Copyright (c) 2017 teamrocket. All rights reserved.
//
#pragma once

#include <Meteor/Meteor.h>
using namespace Meteor;

class ScoreMenu : public Scene, public ControlsDelegate {
public:
    
    // MARK: Scene Cleanup
    
    ScoreMenu(int score);
    
    virtual ~ScoreMenu() {}
    
    // MARK: Game management and logic
    
    void didMoveToView() override;
    
    // MARK: Control Delegate
    
    void keyDown(Key aKey) override;
    
    void controllerButtonDown(int controller, Button aButton) override;
    
    void start();
    
private:
    
};
