//
//  CPFoundation.h
//  Meteor
//
//  Created by Cesar Parent on 17/07/2015.
//  Copyright (c) 2015 Cesar Parent. All rights reserved.
//

#ifndef Meteor_CPFoundation_h
#define Meteor_CPFoundation_h

/**
 * @defgroup        Foundation Foundation Systems
 * @brief           Foundation provides a base for object memory management through CPObject and
 *                  Automatic Reference Counters (ARC).
 */

#include "Foundation/CPObject.h"
#include "Foundation/CPAssert.h"
#include "Foundation/Exceptions.h"
#include "Foundation/Range.h"
#endif
