//
//  Header.h
//  Meteor
//
//  Created by Cesar Parent on 13/08/2015.
//  Copyright (c) 2015 Cesar Parent. All rights reserved.
//

#ifndef Meteor_Header_h
#define Meteor_Header_h

/**
 * @defgroup        Management Game Management
 * @brief           A set of classes that provides APIs for managing game state, controls and
 *                  message broadcasting.
 */

#include "Management/Game.h"
#include "Management/NotificationCenter.h"
#include "Management/Controls.h"
#include "Management/Key.h"
#include "Management/ControlsDelegate.h"
#include "Management/Transition.h"
#include "Management/GameMain.h"

#endif
