//
//  MapObject.hpp
//  RainbowJam16
//
//  Created by Cesar Parent on 25/08/2016.
//  Copyright © 2016 SexyMaki. All rights reserved.
//
#pragma once
#include <string>
#include "../defines.h"
#include "../Geometry.h"
#include "json.h"

using json = nlohmann::json;

NS_BEGIN

struct MapObject {
    std::string name;
    std::string type;
    std::string group;
    vec2        position;
    ivec2       indexPath;
    Rect        frame;
    json        properties;
};

NS_END
