//
//  MapTile.hpp
//  RainbowJam16
//
//  Created by Cesar Parent on 21/08/2016.
//  Copyright © 2016 cesarparent. All rights reserved.
//
#pragma once
#include "../defines.h"
#include "../Geometry.h"

NS_BEGIN

struct MapTile {
    
    typedef Uint32 GID;
    
    bool    hidden;
    ivec2   indexPath;
    vec2    position;
    Rect    frame;
    Rect    clipRect;
    float   rotation;
    vec2    scale;
    GID     gid;
};

NS_END
