//
//  Graphics.h
//  Meteor
//
//  Created by Cesar Parent on 13/07/2015.
//  Copyright (c) 2015 Cesar Parent. All rights reserved.
//

#ifndef Meteor_Graphics_h
#define Meteor_Graphics_h

/*!
 * @defgroup    Graphics Graphics
 * @brief       The graphics module provides the Protocols and implementations neededed to draw
 *              graphics on the screen and abstract the low-level, System-specific APIs.
 */

#include "defines.h"
#include "Graphics/Color.h"
#include "Graphics/RendererProtocol.h"
#include "Graphics/TextureProtocol.h"

#endif
