//
//  FileManager.hpp
//  Meteor
//
//  Created by Cesar Parent on 04/01/2016.
//  Copyright © 2016 Cesar Parent. All rights reserved.
//

#ifndef FileManager_hpp
#define FileManager_hpp

#include "../defines.h"
#include <string>

NS_BEGIN

class FileManager {
public:
    
    static std::string
    applicationSupportDirectoryURL();
    
    static std::string
    applicationBundleURL();
    
private:
    
    static std::string
    _applicationSupportURL;
    
    static std::string
    _bundleURL;
    
};

NS_END

#endif /* FileManager_hpp */
