//
//  Filesystem.h
//  Meteor
//
//  Created by Cesar Parent on 05/09/2015.
//  Copyright © 2015 Cesar Parent. All rights reserved.
//

#ifndef Filesystem_h
#define Filesystem_h

/**
 * @defgroup    Filesystem File System
 * @brief       The File System module provides an API to archive and unarchive objects to the
 *              filesystem in different formats.
 */

#include "Filesystem/CodingProtocols.h"
#include "Filesystem/Value.h"
#include "Filesystem/PlistEncoder.h"
#include "Filesystem/PlistDecoder.h"
#include "Filesystem/FileManager.h"


#endif /* Filesystem_h */
